Bug 479910 - Kernel Panic on AMD-K6
Kernel Panic on AMD-K6
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
low Severity high
: ---
: 4.8
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
:
Depends On:
Blocks: AMD4.8
  Show dependency treegraph
 
Reported: 2009-01-13 18:31 EST by Manuel Tuthill
Modified: 2009-09-03 09:43 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that 'Clears MCE flag on AMD K6' (1.05 KB, patch)
2009-01-13 19:28 EST, Akemi Yagi
no flags Details | Diff
RHEL4 fix for this issue (1.65 KB, patch)
2009-01-29 13:38 EST, Prarit Bhargava
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 2823 None None None Never

  None (edit)
Description Manuel Tuthill 2009-01-13 18:31:58 EST
Description of problem: kernel panics when attempting a default options boot on AMD-K6 CPU's


Version-Release number of selected component (if applicable): Kernel 2.6.9-67 and above. 


How reproducible: Always


Steps to Reproduce:
1. Attempt to boot kernel on stated CPU type
2.
3.
  
Actual results: Kernel Panic


Expected results: Successful boot


Additional info: appending nomce to the kernel option line is a workaround.
Comment 1 Akemi Yagi 2009-01-13 19:28:41 EST
Created attachment 328933 [details]
patch that 'Clears MCE flag on AMD K6'

As detailed in the referenced CentOS bug tracker, a patch that fixes the issue is available (thanks to mlyda) which originally appeared on the LKML:

http://lkml.org/lkml/2007/5/17/122

At least 3 people have reported that the patch indeed fixed the boot problem.
Comment 2 Prarit Bhargava 2009-01-29 13:28:48 EST
Patch looks good.

P.
Comment 3 Prarit Bhargava 2009-01-29 13:38:58 EST
Created attachment 330392 [details]
RHEL4 fix for this issue
Comment 6 RHEL Product and Program Management 2009-02-09 09:09:42 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Russell Doty 2009-02-24 09:19:56 EST
Set exception flag to "?".

Did this work in earlier versions of RHEL 4? If so, this is a regression.
Comment 8 Vivek Goyal 2009-02-26 11:47:39 EST
Committed in 82.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 10 Chris Ward 2009-03-27 10:20:39 EDT
~~ Attention Partners! Snap 1 Released ~~
RHEL 4.8 Snapshot 1 has been released on partners.redhat.com. There should
be a fix present, which addresses this bug. NOTE: there is only a short time
left to test, please test and report back results on this bug
at your earliest convenience.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have found a NEW bug, clone this
bug and describe the issues you encountered. Further questions can be
directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the
Verified field above. Please leave a comment with your test results details.
Include which arches tested, package version and any applicable logs.

 - Red Hat QE Partner Management
Comment 13 Chris Ward 2009-04-16 12:08:17 EDT
~~ Attention! Snap 4 Released ~~
RHEL 4.8 Snapshot 4 has been released on partners.redhat.com. There should
be a fix present that addresses this bug. NOTE: there is only a short time
left to test, please test and report back results on this bug ASAP.

The latest kernel build can be obtained here:
http://people.redhat.com/vgoyal/rhel4/

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have found a NEW bug, clone this
bug and describe the issues you encountered. Further questions can be
directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the
Verified field above. Please leave a comment with your test results details.
Include which arches tested, package version and any applicable logs.
Comment 16 Jan Tluka 2009-04-17 07:09:28 EDT
Patch is in -88.EL kernel.
Comment 17 Russell Doty 2009-04-20 18:11:40 EDT
AMD, can you verify that this fixes the K6 panic?
Comment 20 Akemi Yagi 2009-04-22 16:39:03 EDT
Testing and verifying on the AMD K6 hardware requires the i586 kernel.  Because this is not available from Red Hat, I built it using kernel-2.6.9-89.EL.src.rpm in the vgoyal/rhel4/ directory and made it available from:

http://centos.toracat.org/kernel/centos4/586amdpatch/

Please test if you can and report back here.
Comment 21 Chris Ward 2009-04-23 09:17:34 EDT
Thanks Akemi!
Comment 22 Manuel Tuthill 2009-04-24 12:59:24 EDT
Akemi Yagi's kernel build appears to fix the issue and I can once again boot without the nomce flag appended.
Comment 23 Akemi Yagi 2009-04-25 18:14:55 EDT
Just a quick note to add there was one other success report, this time by the person (mlyda) who provided the original patch in the CentOS bug tracker. It looks certain that kernel kernel-2.6.9-89.EL has fixed the problem.
Comment 24 Chris Ward 2009-04-27 05:07:35 EDT
Thanks everyone! Glad we were able to resolve this issue for you.
Comment 26 errata-xmlrpc 2009-05-18 15:37:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.